from codecs import open
from os import path

from setuptools import find_packages
from setuptools import setup

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
# with open(path.join(here, 'README.md'), encoding='utf-8') as f:
#     long_description = f.read()
long_description="A module for parsing and rendering Markdone files"

setup(
    name='markdone',
    version='0.0.0',
    description='A module for handling Markdone files',
    long_description=long_description,
    url='https://git.iamthefij.com/iamthefij/markdone',
    author='Ian Fijolek',
    author_email='ian@iamthefij.com',
    classifiers=[
        # How mature is this project? Common values are
        #   4 - Beta
        #   5 - Production/Stable
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'License :: OSI Approved :: Apache Software License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    keywords='minitor monitoring alerting',
    packages=find_packages(exclude=['contrib', 'docs', 'tests']),
    install_requires=[
        'markdown',
    ],
    # entry_points={
    #     'console_scripts': [
    #         'minitor=minitor.main:main',
    #     ],
    # },
)
